Bug 173267 - update of devel/gvfs port to disable gvfs-afc-volume-monitor
update of devel/gvfs port to disable gvfs-afc-volume-monitor
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 18:40 UTC by otacilio.neto
Modified: 2012-12-29 05:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.89 KB, patch)
2012-11-01 18:40 UTC, otacilio.neto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description otacilio.neto 2012-11-01 18:40:00 UTC
I'm with a problem with the process gvfs-afc-volume-monitor. This
process take 100% of CPU and respaw after a while when I kill it. I have
noted that some files of this port (gvfs) are not on pkg-plist like:

libexec/gvfsd-afc
libexec/gvfs-afc-volume-monitor
share/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
share/gvfs/mounts/afc.mount
share/gvfs/remote-volume-monitors/afc.monitor

So I did a patch to this port where the user can disable afc and fix
this pkg-plist.

Fix: Apply this follow patch to port and disable AFC suport before install the port.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-09 07:32:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-12-29 05:18:37 UTC
Author: mezz
Date: Sat Dec 29 05:18:28 2012
New Revision: 309604
URL: http://svnweb.freebsd.org/changeset/ports/309604

Log:
  The gvfs-afc-volume-monitor is buggy and causing run 100%. A lot of Linux
  users have the same problem. It's not worth to provide optional of it.
  
  PR:             ports/173267
  Reported by:	Otacilio de AraUjo Ramos Neto <otacilio.neto@ee.ufcg.edu.br>

Modified:
  head/devel/gvfs/Makefile

Modified: head/devel/gvfs/Makefile
==============================================================================
--- head/devel/gvfs/Makefile	Sat Dec 29 04:40:18 2012	(r309603)
+++ head/devel/gvfs/Makefile	Sat Dec 29 05:18:28 2012	(r309604)
@@ -28,7 +28,8 @@ USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ARGS=	--disable-obexftp
+CONFIGURE_ARGS=	--disable-obexftp \
+		--disable-afc
 OPTIONS=	FUSE "Enable fuse" off \
 		AVAHI "Enable AVAHI" on \
 		SAMBA "Enable Samba" on \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 mezz freebsd_committer 2012-12-29 05:18:54 UTC
State Changed
From-To: open->closed

Committed, thanks!